Script works on IP-IVR 4.0.x ,raises error on version 5.0.2

Unanswered Question
Nov 28th, 2008

Hi,

I have a script that work's fine on IP-IVR 4.0.x. When I try to run it on the IP-IVR 5.0.2 , it produces an error. The error is about wrong vxml file or grammar, but this is not the issue, since it works in version 4.0.x. The script uses TTS & ASR. The error is with voicebrowser when i try to load a vxml file, which reference a grammar file (.grxml format). I'm able to load a simple vxml file and play some TTS text, but when i include a grammar reference, it produces the error. The only differente i've seen, is that in the version 4.0.x I had to define the Primary Dialog Group as the one of the MRCP ASR Group (under JTAPI Trigger configuration). Now , in version 5.0.2 , i cannot find this setting. Another thing i noctice is , that when i debug the script and get the triggering contact info, the ASR support is set to false. MRCP ASR & TTS Subsystems are working fine.

I would appreciate any help, since I cannot think of anything else...

Thank you in advance!

I have this problem too.
0 votes
  • 1
  • 2
  • 3
  • 4
  • 5
Overall Rating: 0 (0 ratings)
Loading.
Steven Pawlak Sat, 10/02/2010 - 10:01

On the trigger, you need to check yes to Override Media Termination. This is where you add the support for MRCP ASR dialog group. Keep the default in there too so that you can get DTMF also.

Actions

This Discussion